<?php



include("../asl.php");
/*
error_reporting(E_ALL);
ini_set('display_errors', '1');
*/
?>



<!DOCTYPE HTML>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html ; charset=utf-8" />
    <meta http-equiv="content-type" content="text/html" />
    <meta name="author" content="persian" />

    <title>طراحی ربات ahp</title>


    <link rel="Stylesheet" type="text/css" href="style.css" />


    <style>
        @font-face {
            font-family: 'amir';
            src: url('font/BKoodakBold.ttf')format('truetype'),
                url('font/BKoodakBold.eot')format('eot'),
                url('font/BKoodakBold.woff')format('woff');

        }
    </style>


</head>

<body dir="rtl" align="center">
    <div align="center">
        <?php
        include("jdf.php");

        date_default_timezone_set('Asia/Tehran');





        //   import_request_variables("p" , "a_");
        

        //old import
        function checkarray($summerarray, $mainkey, $mainarray)
        {
            if (in_array($mainkey, $summerarray)) {
                unset($mainarray["$mainkey"]);
                return $mainarray;
            } else {
                return "ok";
            }
        }

        $summerarray = array();
        $artest = $_POST;
        foreach ($artest as $postinfo) {

            $ar_mainkey = array_search($postinfo, $artest);
            if (checkarray($summerarray, $ar_mainkey, $artest) != "ok") {
                $artest = checkarray($summerarray, $ar_mainkey, $artest);
                $ar_mainkey = array_search($postinfo, $artest);
            }
            ${'a_' . $ar_mainkey} = $postinfo;
            $summerarray[] = $ar_mainkey;
        }
        //old import
        

        try {
            $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password, array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
            // set the PDO error mode to exception
        
            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        } catch (PDOException $e) {
            echo "Connection failed: " . $e->getMessage();
        }




        $sql = "select * from admin";
        $stmt = $conn->prepare($sql);
        $stmt->execute();

        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
        $show = $stmt->fetch();

        $user = $show["user"];
        $pass = $show["pass"];


        $getpass = hash_hmac('md5', $a_pass, salt);


        if ($user == $a_user && $pass == $getpass) {

        } else {





            echo "<p style='color:green' >یوزرنیم و پسورد اشتباه
</p>";




            function redirect($url)
            {
                if (!headers_sent()) {
                    header('Location: ' . $url);
                    exit;
                } else {
                    echo '<script type="text/javascript">';
                    echo 'window.location.href="' . $url . '";';
                    echo '</script>';
                    echo '<noscript>';
                    echo '<meta http-equiv="refresh" content="0;url=' . $url . '" />';
                    echo '</noscript>';
                    exit;
                }






            }

            redirect("enter.php");
            exit();



        }















        ?>

        <br /><br />
        <h4 class="white">پنل مدیریتی ربات</h4>
        <div id="content" align="right">
            <div id="content-content">
                <table>
                    <tr>
                        <td><img class="radius" src="images/user.png" /></td>
                        <td class="gray" valign="bottom">خوش آمدید
                            <?php print $userse; ?>
                        </td>
                    </tr>

                </table>



                <br />
                <br />
                <a href="https://telegram.me/" target="_blank">
                    <input class='button-blue' style="width:725px;" type="button" value="رفتن به داخل ربات" />
                </a>

                <br />
                <div id="fish">




                    <h5 class='gray'>◄ نمایش بازی ها</h5>


                    <?php

                    if (isset($_POST['insert_game'])) {
                        $date = $_POST['date'];
                        $time = $_POST['time'];
                        $exDate = explode("/", $date);
                        $exTime = explode(":", $time);
                        print("Timestamp is : <br />");
                        $engDate = jalali_to_gregorian(1401, $exDate[1], $exDate[0]);
                        print_r($engDate);
                        $timeStamp = mktime($exTime[0], $exTime[1], 0, $engDate[1], $engDate[2], $engDate[0]);

                        print("<br />time stamp : $timeStamp<br />");
                        $jdate = jdate("تاریخ y/m/d ساعت H:i:s", $timeStamp);
                        print($jdate);
                        print('here1');
                        $sql = "insert into games (team1,team2,start_time) values ('" . $_POST['team1'] . "','" . $_POST['team2'] . "','" . $timeStamp . "')";
                        $conn->exec($sql);
                        print('here2');
                        print("<script>alert('انجام شد');</script>");
                    } elseif (isset($_POST['delete_game'])) {
                        $sql = "delete from games  where id='" . $_POST['id'] . "' ";
                        $conn->query($sql);
                        print("<script>alert('بازی حذف شد');</script>");
                    } elseif (isset($_POST['edit_game'])) {

                        $sql = "update games set winner='" . $_POST['winner'] . "',team1_goal='" . $_POST['team1_goal'] . "',team2_goal='" . $_POST['team2_goal'] . "'  where id='" . $_POST['id'] . "' ";
                        $conn->exec($sql);
                        print("<script>alert('بازی ویرایش شد');</script>");
                    }


                    ?>






                    <table style='width:95%'>
                        <tr>
                            <th class='th'>هد</th>
                            <th class='th'>تعداد</th>
                        </tr>
                        <tr>





                            <?php


                            $stmt = $conn->prepare("SELECT * FROM adduser");
                            $stmt->execute();

                            // set the resulting array to associative
                            $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);

                            $k = $stmt->fetchAll();
                            $num = $stmt->rowCount();

                            print " <h5 class='gray'>◄ تعداد  : $num</h5>";
                            $headKeeper = [];
                            foreach ($k as $v) {
                                $head = $v['head'];
                                if (in_array($head, $headKeeper)) {
                                    continue;
                                }
                                $headKeeper[] = $head;

                                $stmt = $conn->prepare("SELECT * FROM adduser where head ='" . $head . "' ");
                                $stmt->execute();
                                $result2 = $stmt->setFetchMode(PDO::FETCH_ASSOC);
                                $k2 = $stmt->fetchAll();
                                $num2 = $stmt->rowCount();
                                print "
        <tr>
         <td align='center' class='td'  >

         " . $v['head'] . "
   </td>
   <td align='center' class='td'  >$num2</td>
         </td>
        </tr>

        
        ";
                            }

                            ?>










                        </tr>



                    </table>

















                    <hr />
                    <hr />
                    <hr />

                    <br />
                    <br />
                    <br />
                    <br />






                </div>



















                <br />
                <br />
            </div>
        </div>




        <a style="text-decoration:none ;" href="http://ahpbot.ir" target="_blank" class="gray">طراحی شده توسط ahpbot</a>
    </div>

    <?php
    $conn = null;
    ?>
</body>

</html>